Bug 1419549

Summary: [Perf] : Random Writes are off target by 22% on EC backed volumes over FUSE
Product: Red Hat Gluster Storage Reporter: Ambarish <asoman>
Component: disperseAssignee: Ashish Pandey <aspandey>
Status: CLOSED WONTFIX QA Contact: Nag Pavan Chilakam <nchilaka>
Severity: high Docs Contact:
Priority: medium    
Version: rhgs-3.2CC: amukherj, aspandey, bturner, rcyriac, rhinduja, rhs-bugs, storage-qa-internal
Target Milestone: ---Keywords: Regression, ZStream
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1408639 Environment:
Last Closed: 2018-10-17 09:37:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Comment 3 Ambarish 2017-02-06 13:31:11 UTC
On 3.8.4-13 :

Random Writes : 470731.12 kB/sec

Disabling self heal showed no improvement on random writes(466813.44 kB/sec).nor did disabling io-threads as I mentioned in the description.

Comment 5 Ambarish 2017-02-08 06:48:48 UTC
The number of INODELK calls have been increases considerably from  8 to almost 3000+ in 3.2,this may account for this regression.

Ashish can you take a look too?